#version 130

in vec3		position;
in	vec2	texCoordIn;	// incoming texcoord from the texcoord array
out	vec2	texCoord;	// outgoing interpolated texcoord to fragshader
in  vec3	normalIn;		// The normalIn attribute
out vec3	viewSpaceNormal;			// Sent to fragment shader
out vec3	viewSpacePosition;		// Sent to fragment shader
uniform mat4 normalMatrix;	 
uniform mat4 modelViewMatrix;
uniform mat4 modelViewProjectionMatrix; 

void main() 
{
	gl_Position = modelViewProjectionMatrix * vec4(position,1);
	texCoord = texCoordIn; 
	viewSpaceNormal = (normalMatrix * vec4(normalIn,0.0)).xyz;
	viewSpacePosition = (modelViewMatrix * vec4(position, 1)).xyz;
}